SETARCH(8)

NAME
setarch - change reported architecture in new program environment and set personality flags

SYNOPSIS
setarch <arch> [options] [program [arguments]]
arch [options] [program [arguments]]

DESCRIPTION
setarch This utility currently only affects the output of uname -m. For example, on an AMD64 system, running 'setarch i386 program' will cause 'program' to see i686 (or other relevant arch) instead of x86_64 as machine type. It also allows to set various personality options. The default program is /bin/sh.

OPTIONS

-v, --verbose
    Be verbose.

-h, --help
    Display help (it is also displayed when setarch takes no arguments).

-V, --version
    Output version information and exit.

--uname-2.6
    Causes the program to see a kernel version number beginning with 2.6.

-3, --3gb
    Specifies that processes should use a maximum of 3GB of address space on systems where it is supported (ADDR_LIMIT_3GB).

-B, --32bit
    Turns on ADDR_LIMIT_32BIT.

-F, --fdpic-funcptrs
    Userspace function pointers point to descriptors (turns on FDPIC_FUNCPTRS).

-I, --short-inode
    Turns on SHORT_INODE.

-L, --addr-compat-layout
    Changes the way virtual memory is allocated (turns on the ADDR_COMPAT_LAYOUT).

-R, --addr-no-randomize
    Disables randomization of the virtual address space (turns on ADDR_NO_RANDOMIZE).

-S, --whole-seconds
    Turns on WHOLE_SECONDS.

-T, --sticky-timeouts
    Turns on STICKY_TIMEOUTS.

-X --read-implies-exec
    Turns on READ_IMPLIES_EXEC.

-Z, mmap-page-zero
    Turns on MMAP_PAGE_ZERO.

EXAMPLES
setarch ppc32 rpmbuild --target=ppc --rebuild foo.src.rpm
setarch ppc32 -v -vL3 rpmbuild --target=ppc --rebuild bar.src.rpm
setarch ppc32 --32bit rpmbuild --target=ppc --rebuild foo.src.rpm

AUTHOR
Elliot Lee (sopwith@redhat.com)
Jindrich Novy (jnovy@redhat.com)

AVAILABILITY
The setarch command is part of the util-linux package and is available from Linux Kernel Archive (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).